# Cisco support APIs inventory plugin

Adds live cycle information for Cisco devices to the inventory.

*  *inv_cisco_eox*: adds end of live information to the inventory
*  *inv_cisco_contract*: adds information about the support contract to the inventory
*  *inv_cisco_psirt*: adds information about security related issues to the inventory
*  *inv_cisco_bug*: adds information about known issues to the inventory

**Note**: to get this plugins to work, you nedd access to the Cisco support APIs (see https://apiconsole.cisco.com/supportapis)

**Note**: to get the status colors and the clickable IDs for EOL, PSIRT and Bug you need to change the _~/lib/python/cmk/gui/plugins/views/inventory.py_ file of your CMK site installation. See [inv_cisco_support.py](/web/plugins/views/inv_cisco_support.py) file (beginning at line 36) for details.

In all plugins you can remove not needed columns from the inventory via WATO.

---
### Download

* [inv_cisco_support.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/cisco/inv_cisco_support/-/raw/master/inv_cisco_support.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install inv_cisco_support.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### *inv_cisco_eox*

Sample output

![sample output](/doc/sample_eox.png?raw=true "sample output")

---
### *inv_cisco_contract*

Sample output

![sample output](/doc/sample_contract.png?raw=true "sample output")

---
### *inv_cisco_psirt*

Sample output

![sample output](/doc/sample_psirt.png?raw=true "sample output")

---
### *inv_cisco_bug*

Sample output

![sample output](/doc/sample_bug.png?raw=true "sample output")
