#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2

# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  :
#
# 2021-07-23: rewritten for CMK 2.0
#

from cmk.gui.i18n import _
from cmk.gui.plugins.wato import (
    HostRulespec,
    rulespec_registry,
)
from cmk.gui.valuespec import (
    Dictionary,
    FixedValue,
    ListChoice,
)

from cmk.gui.plugins.wato.inventory import (
    RulespecGroupInventory,
)

_removecolumns_inv_cisco_bug = [
    # ('status', 'Status'),
    ('product', 'Product'),
    ('description', 'Description'),
    # ('headline', 'Headline'),
    # ('support_case_count', 'Support case count'),
    # ('last_modified_date', 'Last modified date'),
    # ('behavior_changed', 'Behavior changed'),
    # ('bug_id', 'Bug ID'),
    ('base_pid', 'Base PID'),
    ('known_fixed_releases', 'Known fixed releases'),
    ('id', 'ID'),
    ('known_affected_releases', 'known affected releases'),
    # ('severity', 'Severity'),
]


def _valuespec_inv_cisco_bug():
    return Dictionary(
        title=_('Cisco bugs'),
        elements=[
            ('removecolumns',
             ListChoice(
                 title=_('remove columns'),
                 help=_('remove information from report'),
                 choices=_removecolumns_inv_cisco_bug,
                 default_value=[
                     'base_pid',
                     'description',
                     'id',
                     'known_affected_releases',
                     'product',
                 ],
             )),
        ]
    )


rulespec_registry.register(
    HostRulespec(
        group=RulespecGroupInventory,
        match_type='dict',
        name='inv_parameters:inv_cisco_bug',
        valuespec=_valuespec_inv_cisco_bug,
    ))
